<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    
    <style>
      .col {
        border: 1px solid blue;
      }
    </style>
    
    <title>Grilla</title>
  </head>
  <body>

    <div class="container-fluid" style="background: red">
      Hola mundo - contenedor que ocupa todo el ancho de la pantalla!
      <!-- Una fila (row) tiene 12 columnas por default -->
      <div class="row">
        <div class="col">
          1 de 2
        </div>
        <div class="col">
          2 de 2
        </div>
      </div>
      <!-- Las columnas se repartes equitativamente -->
      <div class="row">
        <div class="col">
          1 de 3
        </div>
        <div class="col">
          2 de 3
        </div>
        <div class="col">
          3 de 3
        </div>
      </div>
      <!-- pero podemos decirle si una columnas ocupa mas tamaño que la otra -->
      <div class="row">
        <div class="col-3">
          1 de 2
        </div>
        <div class="col-9">
          2 de 2
        </div>
      </div>
      <!-- podemos modificar el ancho de las columnas segun el tamaño de la pantalla -->
      <div class="row">
        <div class="col-12 col-lg-3" style="background: blue">
          1 de 2
        </div>
        <div class="col-12 col-lg-9" style="background: yellow">
          2 de 2
        </div>
      </div>
    </div>

    <!-- Optional JavaScript; choose one of the two! -->

    <!-- Option 1: Bootstrap Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>

    <!-- Option 2: Separate Popper and Bootstrap JS -->
    <!--
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.10.2/dist/umd/popper.min.js" integrity="sha384-7+zCNj/IqJ95wo16oMtfsKbZ9ccEh31eOz1HGyDuCQ6wgnyJNSYdrPa03rtR1zdB" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js" integrity="sha384-QJHtvGhmr9XOIpI6YVutG+2QOK9T+ZnN4kzFN1RtK3zEFEIsxhlmWl5/YESvpZ13" crossorigin="anonymous"></script>
    -->
  </body>
</html>
